% ressort01.m
% fd  6 avril 2005, 08 janvier 2006, 09 mars 2006, 25 fevrier 2025 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% xlabel ('Integration du systeme  dx/dt -  y = 0,  dy/dt +  x = 0 par un schema de Newmark d ordre 2') 
%% title ('Travaux pratiques Iacs.') ;
tmax=22.
  n=10*tmax
dt=tmax/n
t=zeros(n+1,1);
x=zeros(n+1,1);
y=zeros(n+1,1);

x0 = 1. ; y0 = 0. 


t(1:1)=0;



x(1) = x0 ; y(1) = y0 ; 
  for i=1:n;
t(i+1)=t(i)+dt;
x(i+1) = ( ( 1 - dt*dt/4) *  x(i) +  dt * y(i) ) / (1 + dt*dt/4 ) ;
y(i+1)=y(i) + 0.5 * dt * ( -x(i) -x(i+1) ) ;
end ;
temps_final = t(n+1:n+1)

hold off
plot(x(1,1) , y(1,1), 'ob;depart;') ; hold on 
plot(x(:,1) , y(:,1), '*k;trajectoire;') ; hold on 
plot(x(n+1,1) , y(n+1,1), 'or;arrivee;') ; hold on

title ('oscillateur harmonique ; plan de phase') ;
axis ( [ -1.1   , 1.1  , -1.1 , 1.1 ]) ;
pause (1.5) 
print('01b-plan-de-phase.jpg', '-djpg', '-S891,630') ; 


hold off
xmax=tmax+.1
plot(t(:,1) , x(:,1), '*b;position;') ; hold on 
plot(t(:,1) , y(:,1), 'or;impulsion;') ; 
axis ( [ -.1   , xmax  , -1.1 , 1.1 ]) ;
title ('oscillateur harmonique ; evolution temporelle') ;
print('01a-instationnaire.jpg', '-djpg', '-S891,630') ; 








